browser icon
You are using an insecure version of your web browser. Please update your browser!
Using an outdated browser makes your computer unsafe. For a safer, faster, more enjoyable user experience, please update your browser today or try a newer browser.

vSphere 5.5 – SSO Upgrade Gotya

Posted by on September 23, 2013

I’ve just managed to up upgrade the SSO component of vSphere 5.5 in my lab after an hour of trying.

The issue I kept getting was 1603 error when it got to the LookupService part of the install. The result of the error was a rollback.

Windows Installer installed the product. Product Name: vCenter Single Sign-On. Product Version: 5.5.0.297. Product Language: 1033. Manufacturer: VMware, Inc.. Installation success or error status: 1603.

In the end I changed the default site ‘Default-First-Site’ name to ‘Primary-Site’ and the rest of the install completed successfully.

Whether I had a bad SSO config to begin with will depend on if others get a similar issue. For the moment I’m posting this suggested workaround.

2 Responses to vSphere 5.5 – SSO Upgrade Gotya

  1. Martin P

    Tried this and it did not help in my case. v5.0 to v5.5 upgrade therefore SSO is not installed beforehand.

    • Ross

      Thanks for the comment. I should have mentioned the fact it’s a 5.1 upgrade.
      This ‘hack’ got me working again but with everything take backups etc. VMWare know about this issue and are working on the solution. It seems to be affecting lots of installations.
      I believe they’ll be making the SSO function as an appliance in the future so there is light at the end of the tunnel for SSO.

Leave a Reply